Bug 1172963 - [abrt] claws-mail: gtk_cmctree_node_get_row_data(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: gtk_cmctree_node_get_row_data(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:543360543781b7e05ebcd825fec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 08:30 UTC by Axel Foly
Modified: 2016-01-03 21:19 UTC (History)
4 users (show)

Fixed In Version: claws-mail-3.11.1-6.fc21 claws-mail-3.13.1-4.fc23 claws-mail-3.13.1-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 00:56:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (50.65 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: cgroup (154 bytes, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: core_backtrace (43.31 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: dso_list (20.11 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: environ (1.88 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: maps (96.60 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: open_fds (1.34 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: var_log_messages (16.69 KB, text/plain)
2014-12-11 08:30 UTC, Axel Foly
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-12-11 08:30 UTC, Axel Foly
no flags Details

Description Axel Foly 2014-12-11 08:30:34 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: gtk_cmctree_node_get_row_data
executable:     /usr/bin/claws-mail
kernel:         3.14.23-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_cmctree_node_get_row_data at gtkcmctree.c:4557
 #1 summary_set_row_marks at summaryview.c:3820
 #2 summary_mark_row_as_read at summaryview.c:4043
 #3 summary_selected at summaryview.c:6958
 #7 g_signal_emit_by_name at gsignal.c:3424
 #8 select_row at gtksctree.c:401
 #9 gtk_sctree_button_press at gtksctree.c:554
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #15 gtk_widget_event_internal at gtkwidget.c:5017
 #16 gtk_widget_event at gtkwidget.c:4814

Comment 1 Axel Foly 2014-12-11 08:30:37 UTC
Created attachment 967114 [details]
File: backtrace

Comment 2 Axel Foly 2014-12-11 08:30:38 UTC
Created attachment 967115 [details]
File: cgroup

Comment 3 Axel Foly 2014-12-11 08:30:41 UTC
Created attachment 967116 [details]
File: core_backtrace

Comment 4 Axel Foly 2014-12-11 08:30:42 UTC
Created attachment 967117 [details]
File: dso_list

Comment 5 Axel Foly 2014-12-11 08:30:43 UTC
Created attachment 967118 [details]
File: environ

Comment 6 Axel Foly 2014-12-11 08:30:44 UTC
Created attachment 967119 [details]
File: limits

Comment 7 Axel Foly 2014-12-11 08:30:46 UTC
Created attachment 967120 [details]
File: maps

Comment 8 Axel Foly 2014-12-11 08:30:47 UTC
Created attachment 967121 [details]
File: open_fds

Comment 9 Axel Foly 2014-12-11 08:30:49 UTC
Created attachment 967122 [details]
File: proc_pid_status

Comment 10 Axel Foly 2014-12-11 08:30:50 UTC
Created attachment 967123 [details]
File: var_log_messages

Comment 11 Axel Foly 2014-12-11 08:30:51 UTC
Created attachment 967124 [details]
File: exploitable

Comment 12 Michael Schwendt 2014-12-11 09:07:17 UTC
There are test updates for Claws Mail for Fedora 19 for many months, such as Claws Mail 3.11.1. Consider evaluating them by taking a look at the contents of the updates-testing repository eventually:

  https://admin.fedoraproject.org/updates/search/claws-mail

3.9.3 and earlier have been known to cause various weird crashes as a result of side-effects, and your bug report lacks details (such as how to reproduce it), btw.

Comment 13 Fedora End Of Life 2015-01-09 21:34:09 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora Update System 2015-02-03 11:09:53 UTC
claws-mail-3.11.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-4.fc20

Comment 16 Fedora Update System 2015-02-03 11:10:01 UTC
claws-mail-3.11.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-4.fc21

Comment 17 Fedora Update System 2015-02-04 07:56:43 UTC
Package claws-mail-3.11.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.11.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1619/claws-mail-3.11.1-4.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-02-05 15:59:31 UTC
claws-mail-3.11.1-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-6.fc21

Comment 19 Fedora Update System 2015-02-05 15:59:38 UTC
claws-mail-3.11.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-6.fc20

Comment 20 Fedora End Of Life 2015-02-18 11:20:01 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 21 Fedora Update System 2015-04-23 16:08:47 UTC
claws-mail-3.11.1-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Michael Schwendt 2015-10-23 11:21:15 UTC
Here's the correct fix according to Paul:

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=3a611edf84b769aa067d8de3c6a7447d482f1c1c

Comment 23 Fedora Update System 2015-12-18 21:33:17 UTC
claws-mail-3.13.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a092f35d2

Comment 24 Fedora Update System 2015-12-18 21:33:19 UTC
claws-mail-3.13.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa14be8d92

Comment 25 Fedora Update System 2015-12-19 19:58:40 UTC
claws-mail-3.13.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update claws-mail'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa14be8d92

Comment 26 Fedora Update System 2015-12-20 23:30:45 UTC
claws-mail-3.13.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa14be8d92

Comment 27 Fedora Update System 2015-12-21 05:29:17 UTC
claws-mail-3.13.1-1.fc22.1 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a092f35d2

Comment 28 Fedora Update System 2015-12-21 19:32:22 UTC
claws-mail-3.13.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa14be8d92

Comment 29 Fedora Update System 2015-12-21 19:45:28 UTC
claws-mail-3.13.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a092f35d2

Comment 30 Fedora Update System 2015-12-22 12:05:30 UTC
claws-mail-3.13.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a073171c3

Comment 31 Fedora Update System 2015-12-22 15:34:14 UTC
claws-mail-3.13.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a092f35d2

Comment 32 Fedora Update System 2015-12-23 00:11:59 UTC
claws-mail-3.13.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa14be8d92

Comment 33 Fedora Update System 2015-12-26 23:52:15 UTC
claws-mail-3.13.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a073171c3

Comment 34 Fedora Update System 2015-12-31 00:56:12 UTC
claws-mail-3.13.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-01-03 21:19:24 UTC
claws-mail-3.13.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.